<?php
/*
 * kcheck
 * @author Shinsuke Takeuchi <ctrans@gmail.com>
 * @license MIT License
 * @link http://www.karak.jp/
 * @version 0.1
 */
class kcheck {
	private $cn;
	private $tw;
	private $jp;

	public function __construct() {
		#簡体字
		$this->cn = array("鿏", "鿓", "鿔", "鿭", "仆", "价", "册", "决", "况", "凛", "厂", "听", "坏", "夸", "奸", "尸", "广", "愿", "挂", "杆", "杰", "蘖", "气", "痒", "网", "耻", "脉", "舍", "范", "荐", "匀", "愠", "赶", "专", "业", "丛", "东", "丝", "丢", "两", "严", "丧", "丰", "临", "为", "丽", "举", "么", "义", "乌", "乐", "乔", "习", "乡", "书", "买", "亏", "亚", "产", "亩", "亲", "亵", "亸", "亿", "仅", "仑", "仓", "仪", "们", "众", "优", "伛", "伞", "伟", "传", "伡", "伣", "伤", "伥", "伦", "伧", "伪", "伫", "佣", "佥", "侣", "侥", "侦", "侧", "侨", "侩", "侪", "侬", "俦", "俨", "俩", "俪", "俫", "俭", "债", "倾", "偻", "偾", "偿", "傥", "傧", "储", "傩", "兑", "兖", "兰", "关", "兴", "兹", "养", "兽", "冁", "冈", "军", "农", "冯", "冻", "净", "减", "凑", "凤", "凫", "凯", "击", "凿", "刍", "划", "刘", "则", "刚", "创", "删", "别", "刬", "刭", "刽", "刾", "刿", "剀", "剂", "剐", "剑", "剧", "劝", "办", "务", "劢", "动", "劲", "劳", "势", "勋", "勚", "匦", "匮", "华", "协", "单", "卖", "卢", "卤", "卫", "厅", "历", "厉", "压", "厌", "厍", "厐", "厕", "厢", "厣", "县", "叁", "发", "变", "叠", "叹", "叽", "吓", "吕", "吗", "吣", "吨", "启", "吴", "呐", "呒", "呓", "呕", "呖", "呗", "员", "呙", "呛", "呜", "咙", "咛", "咝", "响", "哑", "哒", "哓", "哔", "哕", "哗", "哙", "哜", "哝", "哟", "唛", "唝", "唠", "唡", "唢", "唤", "啧", "啬", "啭", "啮", "啯", "啰", "啴", "啸", "喷", "喽", "喾", "嗫", "嗳", "嘤", "噜", "嚣", "团", "园", "囱", "围", "囵", "图", "圆", "圣", "圹", "场", "块", "坚", "坛", "坜", "坝", "坞", "坟", "坠", "垄", "垅", "垆", "垒", "垦", "垩", "垫", "垭", "垱", "垲", "垴", "埘", "埙", "埚", "埯", "堑", "墙", "壳", "壶", "壸", "处", "备", "复", "够", "头", "夹", "夺", "奁", "奂", "奋", "奖", "妆", "妇", "妈", "妩", "妪", "妫", "姗", "姹", "娄", "娅", "娆", "娇", "娈", "娱", "娲", "娴", "婳", "婴", "婵", "婶", "媪", "媭", "嫒", "嫔", "嫱", "嬷", "孙", "孪", "宁", "实", "宠", "审", "宪", "宫", "宽", "宾", "对", "寻", "导", "尔", "尘", "尝", "尧", "尴", "层", "屃", "屉", "屦", "屿", "岁", "岂", "岖", "岗", "岘", "岙", "岚", "岛", "岭", "岽", "岿", "峄", "峣", "峤", "峥", "峦", "崂", "崃", "崄", "崭", "嵘", "嵚", "嵝", "巅", "巩", "巯", "币", "帅", "师", "帏", "帐", "帘", "帜", "带", "帧", "帮", "帱", "帻", "帼", "幂", "庆", "庐", "庑", "库", "应", "庙", "庞", "废", "廪", "开", "异", "张", "弪", "弹", "强", "归", "录", "彟", "彨", "彻", "徕", "徵", "忆", "忏", "忧", "忾", "怀", "态", "怂", "怃", "怄", "怅", "怆", "总", "怼", "怿", "恳", "恶", "恸", "恹", "恺", "恻", "恼", "恽", "悫", "悬", "悭", "悮", "悯", "惊", "惩", "惫", "惬", "惭", "惮", "惯", "愤", "愦", "慑", "懑", "懒", "懔", "戆", "戋", "戏", "戗", "战", "戬", "户", "扑", "执", "扩", "扪", "扫", "扬", "扰", "抚", "抟", "抠", "抡", "抢", "护", "报", "拟", "拢", "拣", "拥", "拦", "拧", "拨", "择", "挚", "挛", "挜", "挝", "挞", "挠", "挡", "挢", "挣", "挤", "挥", "挦", "捝", "捞", "损", "捡", "换", "捣", "掳", "掷", "掸", "掺", "掼", "揽", "揾", "揿", "搀", "搁", "搂", "搅", "摄", "摅", "摆", "摇", "摈", "摊", "撄", "撑", "撵", "撷", "撸", "撺", "擞", "攒", "敌", "敛", "敩", "斋", "斓", "斩", "时", "旷", "旸", "昙", "昽", "显", "晓", "晔", "晕", "晖", "暂", "暧", "术", "杀", "杂", "权", "杨", "杩", "极", "构", "枞", "枣", "枥", "枧", "枨", "枪", "枫", "枭", "柜", "柠", "柽", "栀", "栅", "标", "栈", "栉", "栊", "栋", "栌", "栎", "栏", "树", "样", "栾", "桠", "桡", "桢", "桤", "桥", "桦", "桨", "桩", "桪", "梾", "梿", "检", "棁", "棂", "椝", "椟", "椠", "椤", "椫", "椭", "榄", "榅", "榇", "榈", "榉", "槚", "槛", "槟", "槠", "樯", "樱", "橥", "橱", "橹", "橼", "檩", "欢", "欤", "歼", "殁", "殇", "殒", "殓", "殚", "殡", "毁", "毂", "毕", "毙", "毡", "毵", "氇", "氢", "氩", "氲", "汇", "汉", "汤", "汹", "沟", "沣", "沤", "沥", "沦", "沧", "沨", "沩", "沪", "泞", "泶", "泷", "泸", "泺", "泻", "泼", "泽", "泾", "洁", "洼", "浃", "浆", "浇", "浈", "浊", "测", "浍", "济", "浏", "浐", "浑", "浒", "浓", "浔", "浕", "涂", "涝", "涞", "涟", "涠", "涡", "涢", "涣", "涤", "润", "涧", "涨", "涩", "渌", "渍", "渎", "渐", "渑", "渔", "渗", "溃", "溅", "溆", "溇", "滗", "滚", "滟", "滠", "满", "滢", "滤", "滥", "滦", "滨", "滩", "滪", "漤", "潆", "潇", "潋", "潍", "澛", "澜", "濑", "濒", "灏", "灭", "灵", "灾", "灿", "炀", "炜", "炝", "炼", "炽", "烁", "烂", "烃", "烛", "烦", "烧", "烨", "烩", "烫", "烬", "热", "焕", "焖", "焘", "煴", "爱", "爷", "牍", "牦", "牵", "牺", "犊", "犷", "犸", "狈", "狝", "狞", "狮", "狯", "狰", "狱", "狲", "猃", "猎", "猕", "猡", "猬", "獭", "玑", "玚", "玛", "玮", "环", "现", "玱", "玺", "珐", "珑", "珰", "珲", "琏", "琐", "琼", "瑷", "璎", "瓒", "瓯", "电", "畅", "疖", "疗", "疟", "疠", "疡", "疬", "疭", "疮", "疯", "疴", "痈", "痉", "痖", "痨", "痪", "痫", "瘅", "瘆", "瘗", "瘘", "瘪", "瘫", "瘾", "瘿", "癞", "癣", "癫", "皑", "皱", "皲", "盏", "盐", "监", "盘", "眍", "眬", "睁", "睐", "睑", "瞆", "瞒", "瞩", "矫", "矶", "矾", "矿", "砀", "码", "砖", "砗", "砚", "砜", "砻", "砾", "础", "硁", "硕", "硖", "硗", "硙", "硚", "确", "硵", "硷", "碛", "碜", "祃", "祎", "祯", "祸", "离", "秃", "秆", "种", "积", "秽", "秾", "稆", "稣", "稳", "穑", "穷", "窍", "窎", "窑", "窜", "窝", "窥", "窦", "窭", "竖", "竞", "笃", "笔", "笕", "笺", "笼", "笾", "筚", "筛", "筜", "筹", "筼", "签", "简", "箓", "箦", "箧", "箨", "箩", "箫", "篑", "篓", "篮", "篯", "篱", "簖", "籁", "籴", "类", "籼", "粜", "粝", "粪", "糁", "糇", "紧", "絷", "纟", "纠", "纡", "红", "纣", "纤", "纥", "约", "级", "纨", "纩", "纪", "纫", "纬", "纭", "纮", "纯", "纰", "纱", "纲", "纳", "纴", "纵", "纶", "纷", "纸", "纹", "纺", "纻", "纼", "纽", "纾", "线", "绀", "绁", "绂", "练", "组", "绅", "细", "织", "终", "绉", "绊", "绋", "绌", "绍", "绎", "经", "绐", "绑", "绒", "结", "绔", "绕", "绖", "绗", "绘", "给", "绚", "绛", "络", "绝", "绞", "统", "绠", "绡", "绢", "绣", "绤", "绥", "绦", "继", "绨", "绩", "绪", "绫", "绬", "续", "绮", "绯", "绰", "绱", "绲", "绳", "维", "绵", "绶", "绷", "绸", "绹", "绺", "绻", "综", "绽", "绾", "绿", "缀", "缁", "缂", "缃", "缄", "缅", "缆", "缇", "缈", "缉", "缊", "缋", "缌", "缍", "缎", "缏", "缑", "缒", "缓", "缔", "缕", "编", "缗", "缘", "缙", "缚", "缛", "缜", "缝", "缞", "缟", "缠", "缡", "缢", "缣", "缤", "缥", "缦", "缧", "缨", "缩", "缪", "缫", "缬", "缭", "缮", "缯", "缰", "缱", "缲", "缳", "缴", "缵", "罂", "罗", "罚", "罢", "罴", "羁", "羟", "翘", "翙", "翚", "耢", "耧", "耸", "聂", "聋", "职", "聍", "联", "聩", "聪", "肃", "肠", "肤", "肮", "肾", "肿", "胀", "胁", "胜", "胧", "胨", "胪", "胫", "胶", "脍", "脏", "脐", "脑", "脓", "脔", "脶", "脸", "腊", "腘", "腭", "腻", "腼", "腽", "腾", "膑", "臜", "舆", "舣", "舰", "舱", "舻", "艰", "艳", "艺", "节", "芈", "芗", "芜", "苁", "苇", "苈", "苋", "苌", "苍", "苎", "苏", "茏", "茑", "茔", "茕", "茧", "荆", "荙", "荚", "荛", "荜", "荝", "荞", "荟", "荠", "荡", "荣", "荤", "荥", "荦", "荧", "荨", "荩", "荪", "荫", "荬", "荭", "荮", "药", "莲", "莳", "莴", "莶", "获", "莸", "莹", "莺", "莼", "萝", "萤", "营", "萦", "萧", "萨", "蒇", "蒉", "蒌", "蓝", "蓟", "蓠", "蓣", "蓥", "蓦", "蔂", "蔷", "蔹", "蔺", "蔼", "蕰", "蕲", "蕴", "藓", "虏", "虑", "虬", "虮", "虽", "虾", "虿", "蚀", "蚁", "蚂", "蚃", "蚬", "蛊", "蛏", "蛰", "蛱", "蛲", "蛳", "蛴", "蜕", "蜗", "蜡", "蝇", "蝈", "蝼", "蝾", "螀", "螨", "蟏", "衅", "衔", "补", "衬", "衮", "袄", "袅", "袆", "袜", "袭", "袯", "裆", "裈", "裢", "裣", "裤", "裥", "褛", "褴", "襕", "见", "观", "觃", "规", "觅", "视", "觇", "览", "觉", "觊", "觋", "觌", "觍", "觎", "觏", "觐", "觑", "觞", "觯", "訚", "詟", "誊", "讠", "计", "订", "讣", "认", "讥", "讦", "讧", "讨", "让", "讪", "讫", "讬", "训", "议", "讯", "记", "讱", "讲", "讳", "讴", "讵", "讶", "讷", "许", "讹", "论", "讻", "讼", "讽", "设", "访", "诀", "证", "诂", "诃", "评", "诅", "识", "诇", "诈", "诉", "诊", "诋", "诌", "词", "诎", "诏", "诐", "译", "诒", "诓", "诔", "试", "诖", "诗", "诘", "诙", "诚", "诛", "诜", "话", "诞", "诟", "诠", "诡", "询", "诣", "诤", "该", "详", "诧", "诨", "诩", "诪", "诫", "诬", "语", "诮", "误", "诰", "诱", "诲", "诳", "说", "诵", "诶", "请", "诸", "诹", "诺", "读", "诼", "诽", "课", "诿", "谀", "谁", "谂", "调", "谄", "谅", "谆", "谇", "谈", "谊", "谋", "谌", "谍", "谎", "谏", "谐", "谑", "谒", "谓", "谔", "谕", "谖", "谗", "谘", "谙", "谚", "谛", "谜", "谝", "谞", "谟", "谠", "谡", "谢", "谣", "谤", "谥", "谦", "谧", "谨", "谩", "谪", "谫", "谬", "谭", "谮", "谯", "谰", "谱", "谲", "谳", "谴", "谵", "谶", "豮", "贝", "贞", "负", "贠", "贡", "财", "责", "贤", "败", "账", "货", "质", "贩", "贪", "贫", "贬", "购", "贮", "贯", "贰", "贱", "贲", "贳", "贴", "贵", "贶", "贷", "贸", "费", "贺", "贻", "贼", "贽", "贾", "贿", "赀", "赁", "赂", "赃", "资", "赅", "赆", "赇", "赈", "赉", "赊", "赋", "赌", "赍", "赎", "赏", "赐", "赑", "赒", "赓", "赔", "赕", "赖", "赗", "赘", "赙", "赚", "赛", "赜", "赝", "赞", "赟", "赠", "赡", "赢", "赣", "赪", "赵", "趋", "趱", "趸", "跃", "跄", "跞", "跶", "跷", "跸", "跹", "跻", "踌", "踬", "踯", "蹑", "蹒", "蹰", "蹿", "躏", "躜", "车", "轧", "轨", "轩", "轪", "轫", "转", "轭", "轮", "软", "轰", "轱", "轲", "轳", "轴", "轵", "轶", "轷", "轸", "轹", "轺", "轻", "轼", "载", "轾", "轿", "辀", "辁", "辂", "较", "辄", "辅", "辆", "辇", "辈", "辉", "辊", "辋", "辌", "辍", "辎", "辏", "辐", "辑", "辒", "输", "辔", "辕", "辖", "辗", "辘", "辙", "辚", "辩", "辫", "边", "辽", "达", "迁", "过", "迈", "运", "还", "这", "进", "远", "违", "连", "迟", "迳", "适", "选", "逊", "递", "逦", "逻", "遗", "邓", "邝", "邬", "邮", "邹", "邺", "邻", "郏", "郐", "郑", "郓", "郦", "郧", "郸", "酂", "酝", "酦", "酱", "酽", "酾", "酿", "释", "鉴", "銮", "錾", "钅", "钆", "钇", "针", "钉", "钊", "钋", "钌", "钍", "钎", "钏", "钐", "钑", "钒", "钓", "钔", "钕", "钖", "钗", "钘", "钙", "钚", "钛", "钜", "钝", "钞", "钟", "钠", "钡", "钢", "钣", "钤", "钥", "钦", "钧", "钨", "钩", "钪", "钫", "钬", "钭", "钮", "钯", "钰", "钱", "钲", "钳", "钴", "钵", "钶", "钷", "钸", "钹", "钺", "钻", "钼", "钽", "钾", "钿", "铀", "铁", "铂", "铃", "铄", "铅", "铆", "铇", "铈", "铉", "铊", "铋", "铌", "铍", "铎", "铏", "铐", "铑", "铒", "铓", "铔", "铕", "铖", "铗", "铘", "铙", "铚", "铛", "铜", "铝", "铞", "铟", "铠", "铡", "铢", "铣", "铤", "铥", "铦", "铧", "铨", "铩", "铪", "铫", "铬", "铭", "铮", "铯", "铰", "铱", "铲", "铳", "铴", "铵", "银", "铷", "铸", "铹", "铺", "铻", "铼", "铽", "链", "铿", "销", "锁", "锂", "锃", "锄", "锅", "锆", "锇", "锈", "锉", "锊", "锋", "锌", "锍", "锎", "锏", "锐", "锑", "锒", "锓", "锔", "锕", "锖", "锗", "锘", "错", "锚", "锛", "锜", "锝", "锞", "锟", "锠", "锡", "锢", "锣", "锤", "锥", "锦", "锧", "锨", "锩", "锪", "锫", "锬", "锭", "键", "锯", "锰", "锱", "锲", "锳", "锴", "锵", "锶", "锷", "锸", "锹", "锺", "锻", "锼", "锽", "锾", "锿", "镀", "镁", "镂", "镃", "镄", "镅", "镆", "镇", "镈", "镉", "镊", "镋", "镌", "镍", "镎", "镏", "镐", "镑", "镒", "镓", "镔", "镕", "镖", "镗", "镘", "镙", "镚", "镛", "镜", "镝", "镞", "镟", "镠", "镡", "镢", "镣", "镤", "镥", "镦", "镧", "镨", "镩", "镪", "镫", "镬", "镭", "镮", "镯", "镰", "镱", "镲", "镳", "镴", "镵", "镶", "长", "门", "闩", "闪", "闫", "闬", "闭", "问", "闯", "闰", "闱", "闲", "闳", "间", "闵", "闶", "闷", "闸", "闹", "闺", "闻", "闼", "闽", "闾", "闿", "阀", "阁", "阂", "阃", "阄", "阅", "阆", "阇", "阈", "阉", "阊", "阋", "阌", "阍", "阎", "阏", "阐", "阑", "阒", "阓", "阔", "阕", "阖", "阗", "阘", "阙", "阚", "阛", "队", "阳", "阴", "阵", "阶", "际", "陆", "陇", "陈", "陉", "陕", "陧", "陨", "险", "隐", "隽", "难", "雏", "雠", "雳", "雾", "霁", "霡", "霭", "靓", "靥", "鞑", "鞒", "鞯", "韦", "韧", "韨", "韩", "韪", "韫", "韬", "页", "顶", "顷", "顸", "项", "顺", "须", "顼", "顽", "顾", "顿", "颀", "颁", "颂", "颃", "预", "颅", "领", "颇", "颈", "颉", "颊", "颋", "颌", "颍", "颎", "颏", "颐", "频", "颒", "颓", "颔", "颕", "颖", "颗", "题", "颙", "颚", "颛", "颜", "额", "颞", "颟", "颠", "颡", "颢", "颣", "颤", "颥", "颦", "颧", "风", "飏", "飐", "飑", "飒", "飓", "飔", "飕", "飖", "飗", "飘", "飙", "飚", "飞", "飨", "餍", "饣", "饤", "饥", "饦", "饧", "饨", "饩", "饪", "饫", "饬", "饭", "饮", "饯", "饰", "饱", "饲", "饳", "饴", "饵", "饶", "饷", "饸", "饹", "饺", "饻", "饼", "饽", "饾", "饿", "馀", "馁", "馂", "馃", "馄", "馅", "馆", "馇", "馈", "馉", "馊", "馋", "馌", "馍", "馎", "馏", "馐", "馑", "馒", "馓", "馔", "馕", "马", "驭", "驮", "驯", "驰", "驱", "驲", "驳", "驴", "驵", "驶", "驷", "驸", "驹", "驺", "驻", "驼", "驽", "驾", "驿", "骀", "骁", "骂", "骃", "骄", "骅", "骆", "骇", "骈", "骉", "骊", "骋", "验", "骍", "骎", "骏", "骐", "骑", "骒", "骓", "骔", "骕", "骖", "骗", "骘", "骙", "骚", "骛", "骜", "骝", "骞", "骟", "骠", "骡", "骢", "骣", "骤", "骥", "骦", "骧", "髅", "髋", "髌", "鬓", "鬶", "魇", "魉", "鱼", "鱽", "鱾", "鱿", "鲀", "鲁", "鲂", "鲃", "鲄", "鲅", "鲆", "鲈", "鲉", "鲊", "鲋", "鲌", "鲍", "鲎", "鲏", "鲐", "鲑", "鲒", "鲓", "鲔", "鲕", "鲖", "鲗", "鲘", "鲙", "鲚", "鲛", "鲜", "鲝", "鲞", "鲟", "鲠", "鲡", "鲢", "鲣", "鲤", "鲥", "鲦", "鲧", "鲨", "鲩", "鲪", "鲫", "鲬", "鲭", "鲮", "鲯", "鲰", "鲱", "鲲", "鲳", "鲴", "鲵", "鲷", "鲸", "鲹", "鲺", "鲻", "鲼", "鲽", "鲾", "鲿", "鳀", "鳁", "鳂", "鳃", "鳄", "鳅", "鳆", "鳇", "鳈", "鳉", "鳊", "鳋", "鳌", "鳍", "鳎", "鳏", "鳐", "鳑", "鳒", "鳓", "鳔", "鳕", "鳖", "鳗", "鳘", "鳙", "鳚", "鳛", "鳜", "鳝", "鳞", "鳟", "鳠", "鳡", "鳢", "鳣", "鸟", "鸠", "鸡", "鸢", "鸣", "鸤", "鸥", "鸦", "鸧", "鸨", "鸩", "鸪", "鸫", "鸬", "鸭", "鸮", "鸯", "鸰", "鸱", "鸲", "鸳", "鸴", "鸵", "鸶", "鸷", "鸸", "鸹", "鸺", "鸻", "鸼", "鸽", "鸾", "鸿", "鹀", "鹁", "鹂", "鹃", "鹄", "鹅", "鹆", "鹇", "鹈", "鹉", "鹊", "鹋", "鹌", "鹍", "鹎", "鹏", "鹐", "鹑", "鹒", "鹓", "鹔", "鹕", "鹖", "鹗", "鹘", "鹙", "鹚", "鹛", "鹜", "鹝", "鹞", "鹟", "鹠", "鹡", "鹢", "鹣", "鹤", "鹥", "鹦", "鹧", "鹨", "鹩", "鹪", "鹫", "鹬", "鹭", "鹮", "鹯", "鹰", "鹱", "鹲", "鹳", "鹴", "鹾", "黉", "黡", "黩", "黪", "黾", "鼋", "鼍", "鼗", "鼹", "齐", "齑", "齿", "龀", "龁", "龂", "龃", "龄", "龅", "龆", "龇", "龈", "龉", "龊", "龋", "龌", "龙", "龚", "龛", "龟", "㐽", "㑇", "㑈", "㑔", "㑩", "㓥", "㔉", "㖊", "㖞", "㘎", "㚯", "㛀", "㛟", "㛠", "㛣", "㛤", "㛿", "㟆", "㟜", "㤘", "㧏", "㧐", "㧑", "㧟", "㧰", "㨫", "㭎", "㭏", "㭣", "㭤", "㭴", "㱩", "㱮", "㲿", "㳔", "㳕", "㳠", "㳡", "㳢", "㳽", "㶉", "㶶", "㶽", "㺍", "㻅", "㻏", "㻘", "䀥", "䁖", "䂵", "䅉", "䅪", "䇲", "䉤", "䌶", "䌷", "䌸", "䌹", "䌺", "䌻", "䌼", "䌽", "䌾", "䍀", "䍁", "䓕", "䗖", "䘛", "䘞", "䙊", "䙌", "䙓", "䜣", "䜤", "䜥", "䜧", "䜩", "䝙", "䞌", "䞍", "䞎", "䞐", "䟢", "䢀", "䢁", "䢂", "䥺", "䥽", "䥾", "䥿", "䦀", "䦁", "䦂", "䦃", "䦅", "䦶", "䦷", "䭪", "䯃", "䯄", "䯅", "䲝", "䲞", "䲟", "䲠", "䲡", "䲢", "䲣", "䲤", "䴓", "䴔", "䴕", "䴖", "䴗", "䴘", "䴙", "䶮", "𠆲", "𠆿", "𠉂", "𠉗", "𠚳", "𠛅", "𠛆", "𠯟", "𠯠", "𠲥", "𠴢", "𠵸", "𠵾", "𡋀", "𡋗", "𡒄", "𡝠", "𡞱", "𡭜", "𡭬", "𡶴", "𢋈", "𢘝", "𢘞", "𢙓", "𢛯", "𢫊", "𢫞", "𢫬", "𢬦", "𢭏", "𢽾", "𣆐", "𣍨", "𣍯", "𣍰", "𣎑", "𣐤", "𣑶", "𣗋", "𣘓", "𣘴", "𣘷", "𣭤", "𣶩", "𣶫", "𣸣", "𣺼", "𣺽", "𣽷", "𤆡", "𤇃", "𤇄", "𤈶", "𤈷", "𤊀", "𤋏", "𤞤", "𤠋", "𤦀", "𤳄", "𤶧", "𤽯", "𤾀", "𥅘", "𥅴", "𥆧", "𥇢", "𥐟", "𥐯", "𥐰", "𥐻", "𥧂", "𥬀", "𥬞", "𥬠", "𥭉", "𥮋", "𥮜", "𥱔", "𥹥", "𥺅", "𥺇", "𦈈", "𦈉", "𦈋", "𦈌", "𦈎", "𦈏", "𦈐", "𦈑", "𦈒", "𦈓", "𦈔", "𦈕", "𦈖", "𦈗", "𦈘", "𦈙", "𦈚", "𦈛", "𦈜", "𦈝", "𦈞", "𦈟", "𦈠", "𦈡", "𦛨", "𦝼", "𦟗", "𦨩", "𦰴", "𧉞", "𧒭", "𧮪", "𧳕", "𧹑", "𧹓", "𧹕", "𧹖", "𧹗", "𧿈", "𨀱", "𨁴", "𨂺", "𨄄", "𨅫", "𨅬", "𨉗", "𨐅", "𨐆", "𨐇", "𨐈", "𨐉", "𨐊", "𨑹", "𨤰", "𨰾", "𨰿", "𨱀", "𨱁", "𨱂", "𨱃", "𨱄", "𨱅", "𨱆", "𨱇", "𨱈", "𨱉", "𨱊", "𨱋", "𨱌", "𨱍", "𨱎", "𨱏", "𨱐", "𨱑", "𨱒", "𨱓", "𨱔", "𨱕", "𨱖", "𨷿", "𨸀", "𨸁", "𨸂", "𨸃", "𨸄", "𨸅", "𨸆", "𨸇", "𨸉", "𨸊", "𨸋", "𨸌", "𨸎", "𨸘", "𨸟", "𩏼", "𩏽", "𩏾", "𩏿", "𩐀", "𩖕", "𩖖", "𩖗", "𩙥", "𩙦", "𩙧", "𩙨", "𩙩", "𩙪", "𩙫", "𩙬", "𩙭", "𩙮", "𩙯", "𩙰", "𩟿", "𩠀", "𩠁", "𩠂", "𩠃", "𩠅", "𩠆", "𩠇", "𩠈", "𩠉", "𩠊", "𩠋", "𩠌", "𩠎", "𩠏", "𩠠", "𩧦", "𩧨", "𩧩", "𩧪", "𩧫", "𩧬", "𩧭", "𩧮", "𩧯", "𩧰", "𩧱", "𩧲", "𩧳", "𩧴", "𩧵", "𩧶", "𩧺", "𩧼", "𩧿", "𩨀", "𩨁", "𩨃", "𩨄", "𩨅", "𩨆", "𩨇", "𩨈", "𩨉", "𩨊", "𩨋", "𩨌", "𩨍", "𩨎", "𩨏", "𩨐", "𩬣", "𩬤", "𩯒", "𩲒", "𩽹", "𩽺", "𩽻", "𩽼", "𩽽", "𩽾", "𩽿", "𩾁", "𩾂", "𩾃", "𩾄", "𩾅", "𩾆", "𩾇", "𩾈", "𩾊", "𩾋", "𩾌", "𪉂", "𪉃", "𪉄", "𪉅", "𪉆", "𪉈", "𪉉", "𪉊", "𪉋", "𪉌", "𪉍", "𪉎", "𪉏", "𪉐", "𪉑", "𪉒", "𪉔", "𪉕", "𪎈", "𪎉", "𪎊", "𪎋", "𪎍", "𪔭", "𪚏", "𪚐", "𪞝", "𪡏", "𪢮", "𪨊", "𪨗", "𪻐", "𪾢", "𫁡", "𫂈", "𫄨", "𫄸", "𫌀", "𫌨", "𫍙", "𫍟", "𫍢", "𫍰", "𫍲", "𫏋", "𫐄", "𫐆", "𫐉", "𫐐", "𫐓", "𫓧", "𫓩", "𫔎", "𫖸", "𫗠", "𫗦", "𫗧", "𫗮", "𫗴", "𫘝", "𫘣", "𫘤", "𫘨", "𫚈", "𫚉", "𫚒", "𫚔", "𫚕", "𫚙", "𫚭", "𫛛", "𫛞", "𫛢", "𫛶", "𫛸", "𬓼", "𬘭", "𬤥", "𬯎", "𬸣");
		#繁体字
		$this->tw = array("亂", "亞", "來", "傳", "僞", "價", "儉", "儘", "兒", "兩", "劍", "劑", "勞", "勵", "勸", "區", "卻", "參", "單", "嚴", "囑", "國", "圍", "圓", "圖", "團", "堯", "墮", "壓", "壘", "壞", "壯", "壺", "壽", "奧", "學", "寢", "實", "寫", "寶", "將", "專", "對", "屆", "屬", "峽", "帶", "廚", "廢", "廣", "廳", "彈", "彌", "彎", "徑", "從", "恆", "惡", "惱", "慘", "應", "懷", "懺", "戀", "戰", "戲", "挾", "搖", "擇", "擔", "據", "擴", "攜", "攝", "攪", "敘", "數", "斷", "晉", "晝", "曉", "曠", "會", "條", "棧", "榮", "樂", "樓", "樞", "樣", "檜", "檢", "檮", "櫟", "櫻", "權", "歐", "歡", "歸", "殘", "殲", "殼", "毆", "氣", "沒", "淺", "滯", "滿", "潛", "澀", "澤", "濕", "濟", "濤", "濱", "灣", "燒", "營", "爐", "爭", "犧", "狹", "獎", "獨", "獵", "獸", "獻", "瑤", "瓔", "畫", "當", "疇", "疊", "發", "盜", "盡", "礦", "礪", "祿", "禪", "禮", "稱", "穩", "竊", "箏", "籠", "絲", "經", "縣", "縱", "總", "繩", "繪", "繼", "續", "纖", "聰", "聲", "聽", "肅", "腦", "膽", "臟", "臺", "與", "舉", "舊", "艫", "艷", "莊", "莖", "萬", "藝", "藥", "藪", "蘆", "處", "號", "螢", "蟲", "蠅", "蠣", "蠶", "蠻", "裝", "覺", "覽", "觀", "觸", "諫", "謠", "證", "譖", "譯", "譽", "讀", "變", "讓", "豐", "豬", "貳", "賣", "賤", "贊", "踐", "輕", "輛", "轉", "辭", "辮", "辯", "遙", "遞", "遲", "邇", "邊", "鄰", "醫", "釀", "釋", "鉤", "錢", "鐵", "鑄", "關", "隨", "險", "隱", "隸", "雙", "雜", "靈", "靜", "顏", "顯", "颱", "餘", "騷", "驅", "驗", "驛", "體", "髮", "鰺", "鶇", "鶯", "鹽", "麥", "麩", "點", "黨", "齊", "齋", "齒", "齡", "龜", "丟", "俁", "俠", "倀", "倈", "傖", "傯", "僨", "儈", "儐", "儸", "兗", "內", "凈", "剎", "剗", "剝", "剮", "劊", "劌", "劏", "劚", "勩", "勱", "勻", "匭", "厙", "厴", "叄", "吒", "吳", "唚", "啞", "啟", "啢", "喎", "喲", "嗆", "嗊", "嗎", "嗩", "嗶", "嘍", "嘜", "嘮", "嘰", "嘵", "嘽", "噓", "噚", "噝", "噠", "噥", "噦", "噯", "噲", "噹", "嚌", "嚕", "嚙", "嚦", "嚨", "嚲", "嚳", "囅", "囉", "囪", "圇", "垵", "埡", "埰", "堖", "塏", "塤", "墊", "壋", "壚", "壠", "壢", "壩", "夠", "奼", "姍", "娛", "婭", "媧", "媯", "嫵", "嫿", "嬈", "嬙", "嬡", "嬤", "嬸", "孌", "孿", "寬", "尷", "屜", "屢", "屨", "峴", "崍", "崬", "嶁", "嶔", "嶗", "嶠", "嶧", "嶴", "巋", "巔", "巰", "幘", "幫", "幬", "廄", "弒", "弳", "彞", "彥", "徵", "悅", "悞", "愜", "慪", "憒", "懟", "懨", "戇", "戧", "戩", "戱", "戶", "拋", "挩", "掄", "掗", "掙", "搵", "摑", "摜", "摟", "摳", "摻", "撏", "撐", "撟", "撣", "撳", "撾", "撿", "擄", "擊", "擋", "擓", "擰", "擷", "擻", "擼", "攄", "攆", "攏", "攔", "攖", "攙", "攛", "攢", "斕", "曆", "曏", "曨", "曬", "杴", "梘", "梲", "棖", "棶", "榪", "槤", "槳", "樁", "橫", "檁", "檉", "檔", "檟", "檯", "櫝", "櫥", "櫧", "櫫", "櫬", "櫱", "櫳", "櫸", "欏", "欞", "歲", "歷", "殨", "殮", "殰", "毿", "氂", "氌", "氫", "氬", "氳", "淚", "淥", "淶", "湞", "溈", "溫", "滎", "滻", "漚", "漵", "潑", "潷", "潿", "澇", "澠", "澦", "澩", "澮", "濰", "濼", "瀆", "瀠", "瀨", "灃", "灄", "灕", "灝", "灠", "灤", "灧", "烴", "煒", "煱", "熅", "熒", "熗", "熲", "燙", "燜", "燴", "燶", "狀", "猙", "猻", "獁", "獫", "獮", "獱", "獼", "玀", "瑋", "瑒", "瑲", "璣", "璦", "璫", "瓚", "產", "瘂", "瘓", "瘞", "瘮", "瘲", "瘺", "癉", "癟", "癤", "癥", "癭", "癮", "癱", "眾", "睏", "睜", "睞", "瞘", "瞜", "矓", "硜", "硨", "碭", "碸", "磣", "礆", "礱", "禕", "禡", "禱", "秈", "稅", "稏", "穌", "穠", "穭", "窵", "篔", "簞", "簹", "籙", "籜", "籩", "籪", "籮", "粵", "糝", "糹", "紇", "紈", "紉", "紓", "紖", "紝", "紱", "紼", "絀", "絕", "絝", "絰", "綁", "綃", "綆", "綈", "綌", "綐", "綞", "綠", "綹", "緄", "緓", "緗", "緙", "緣", "緦", "緱", "緶", "緹", "縈", "縐", "縑", "縕", "縗", "縝", "縭", "縳", "縶", "繅", "繡", "繢", "繫", "繯", "繳", "繸", "繾", "纊", "纍", "纘", "缽", "罈", "羋", "羥", "耬", "耮", "聵", "脫", "腖", "腡", "腳", "臏", "臢", "莧", "萊", "葒", "葤", "蒞", "蓀", "蓯", "蓽", "蔞", "蔣", "蔥", "蕆", "蕒", "蕓", "蕢", "薌", "薘", "薟", "薳", "薴", "藎", "藶", "蘄", "蘞", "蘺", "虆", "虛", "虯", "蛺", "螄", "螞", "螮", "螿", "蟈", "蟎", "蟣", "蟬", "蠆", "蠐", "蠟", "蠨", "衕", "衚", "裊", "褘", "褲", "褳", "襏", "襝", "襬", "覎", "覥", "覷", "觶", "訁", "訕", "訢", "訩", "詎", "詖", "詗", "詘", "詡", "詵", "詿", "誆", "誒", "說", "誶", "諉", "諑", "諗", "諝", "諼", "謅", "謊", "譙", "譸", "譾", "讕", "讜", "讞", "豶", "貓", "貙", "貟", "貺", "賅", "賒", "賕", "賙", "賡", "賧", "賬", "賴", "賵", "賾", "贗", "贛", "赬", "趕", "趲", "蹺", "躂", "躉", "躒", "躕", "躚", "躥", "躦", "軀", "軑", "軔", "軤", "軲", "軹", "軺", "輇", "輈", "輞", "輥", "輬", "轀", "轔", "辦", "邐", "郟", "鄆", "鄉", "鄔", "鄖", "鄴", "鄶", "鄺", "酇", "酈", "醞", "醬", "醱", "釃", "釅", "釒", "釓", "釔", "釕", "釙", "釩", "釷", "釹", "釺", "鈀", "鈁", "鈃", "鈄", "鈈", "鈉", "鈒", "鈣", "鈥", "鈦", "鈧", "鈮", "鈰", "鈳", "鈸", "鈽", "鈾", "鉍", "鉕", "鉬", "鉭", "鉶", "鉺", "鉻", "鉿", "銍", "銠", "銣", "銥", "銦", "銨", "銩", "銪", "銫", "銬", "銱", "銳", "銻", "銼", "鋁", "鋃", "鋅", "鋇", "鋌", "鋝", "鋟", "鋣", "鋥", "鋦", "鋨", "鋮", "鋯", "鋰", "鋱", "鋶", "錁", "錄", "錇", "錈", "錒", "錕", "錛", "錟", "錩", "錳", "錶", "錸", "鍀", "鍃", "鍆", "鍇", "鍘", "鍚", "鍤", "鍥", "鍩", "鍶", "鍺", "鎂", "鎄", "鎇", "鎊", "鎘", "鎛", "鎡", "鎢", "鎣", "鎦", "鎩", "鎪", "鎲", "鎳", "鎵", "鎿", "鏇", "鏌", "鏍", "鏜", "鏟", "鏢", "鏰", "鏵", "鏷", "鏹", "鏽", "鐋", "鐒", "鐠", "鐦", "鐧", "鐨", "鐮", "鐲", "鐳", "鐿", "鑊", "鑌", "鑔", "鑕", "鑣", "鑥", "鑭", "鑱", "鑲", "鑹", "閆", "閈", "閌", "閎", "閡", "閩", "閫", "閬", "閱", "閶", "閽", "閿", "闆", "闈", "闋", "闐", "闒", "闓", "闞", "闠", "闤", "陘", "隉", "雞", "霢", "靚", "鞀", "鞝", "鞽", "韁", "韉", "韌", "韍", "韙", "韞", "頇", "頊", "頎", "頜", "頦", "頮", "頰", "頲", "頹", "顒", "顓", "顙", "顢", "顬", "颭", "颮", "颳", "颸", "颺", "颻", "颼", "飀", "飈", "飠", "飣", "飥", "飪", "飿", "餄", "餎", "餏", "餑", "餕", "餖", "餚", "餛", "餜", "餱", "餳", "餶", "餷", "餺", "餼", "餿", "饁", "饃", "饈", "饊", "饜", "饞", "饢", "馱", "馹", "駔", "駙", "駰", "騂", "騌", "騍", "騖", "騤", "騧", "騭", "騮", "騶", "騸", "驁", "驄", "驊", "驌", "驏", "驦", "骯", "髒", "髕", "髖", "鬍", "魛", "魢", "魨", "魷", "魺", "鮁", "鮊", "鮋", "鮍", "鮐", "鮚", "鮜", "鮞", "鮦", "鮳", "鮶", "鮺", "鯁", "鯇", "鯕", "鯗", "鯝", "鯧", "鯪", "鯫", "鯴", "鯷", "鯽", "鯿", "鰁", "鰂", "鰃", "鰏", "鰜", "鰟", "鰠", "鰣", "鰨", "鰩", "鰱", "鰳", "鰵", "鰷", "鰼", "鱂", "鱅", "鱉", "鱔", "鱖", "鱘", "鱝", "鱟", "鱣", "鱤", "鱨", "鱭", "鱯", "鱷", "鱺", "鳲", "鳾", "鴝", "鴞", "鴯", "鴰", "鴴", "鴷", "鵂", "鵃", "鵒", "鵓", "鵪", "鵮", "鵷", "鵾", "鶄", "鶊", "鶓", "鶖", "鶘", "鶡", "鶥", "鶪", "鶬", "鶱", "鶹", "鶼", "鶿", "鷈", "鷊", "鷖", "鷗", "鷚", "鷥", "鷫", "鷳", "鷿", "鸂", "鸇", "鸌", "鸏", "鸕", "鸘", "鸝", "鹺", "鹼", "麵", "麽", "黃", "黲", "黿", "鼉", "鼴", "齕", "齗", "齙", "齜", "龭", "龯", "鿁", "鿐", "鿒", "𠌥", "𠏢", "𠞆", "𠠎", "𡄔", "𡄣", "𡅏", "𡑭", "𡓾", "𡞵", "𡠹", "𡢃", "𡮉", "𡮣", "𡾱", "𢣚", "𢣭", "𢶫", "𢷮", "𢹿", "𣙎", "𣝕", "𣞻", "𣠲", "𣯴", "𣾷", "𣿉", "𤁣", "𤒎", "𤪺", "𤫩", "𤳸", "𤸫", "𥌃", "𥕥", "𥖅", "𥢢", "𥨐", "𥵃", "𥵊", "𥸠", "𥼽", "𥽖", "𥿊", "𦂅", "𦃄", "𦢈", "𦣎", "𦪽", "𧔥", "𧜗", "𧜵", "𧝞", "𧩙", "𧳟", "𧵳", "𧶔", "𧶧", "𨄣", "𨅍", "𨇁", "𨇞", "𨈊", "𨈌", "𨊰", "𨊸", "𨊻", "𨋢", "𨎮", "𨏠", "𨏥", "𨤻", "𨥛", "𨦫", "𨧜", "𨧱", "𨫒", "𨮂", "𨯅", "𨳑", "𨳕", "𨴗", "𨵩", "𨵸", "𨶀", "𨶏", "𨶮", "𨶲", "𨷲", "𨽏", "𩎢", "𩏪", "𩓣", "𩗀", "𩘀", "𩘝", "𩘹", "𩘺", "𩙈", "𩚛", "𩚥", "𩚵", "𩛆", "𩛩", "𩜇", "𩜦", "𩜵", "𩝔", "𩞄", "𩞦", "𩞯", "𩟐", "𩠴", "𩡺", "𩢡", "𩢴", "𩢸", "𩢾", "𩣏", "𩣑", "𩣺", "𩤊", "𩤙", "𩤲", "𩤸", "𩥄", "𩥇", "𩥉", "𩥑", "𩧆", "𩭙", "𩯳", "𩰀", "𩳤", "𩵩", "𩵹", "𩶘", "𩶰", "𩶱", "𩷰", "𩸃", "𩸦", "𩿪", "𪀦", "𪀾", "𪁈", "𪁖", "𪂆", "𪃍", "𪃏", "𪄆", "𪄕", "𪇳", "𪋿", "𪔵", "𪘀", "𪘯", "㑯", "㑳", "㒓", "㓨", "㗲", "㘚", "㜄", "㜏", "㜢", "㜷", "㞞", "㠏", "㢝", "㥮", "㦎", "㩜", "㩳", "㷿", "㺏", "㿧", "䀹", "䁪", "䁻", "䉙", "䉬", "䉲", "䊭", "䊷", "䋙", "䋚", "䋻", "䋿", "䌈", "䌋", "䌖", "䌝", "䌟", "䌥", "䌰", "䕳", "䗿", "䙡", "䜀", "䝻", "䝼", "䞈", "䢨", "䥇", "䥑", "䥩", "䥱", "䦘", "䦛", "䦟", "䦳", "䧢", "䪏", "䪗", "䪘", "䫴", "䬘", "䬝", "䬞", "䭀", "䭃", "䭿", "䮝", "䮞", "䮠", "䮫", "䮳", "䮾", "䯀", "䰾", "䱙", "䱬", "䱰", "䱷", "䱽", "䲁", "䲖", "䲰", "䴉", "䴬", "䴴", "倲", "偑", "儣", "凙", "剾", "勛", "厲", "哯", "嘓", "噅", "圞", "壈", "媰", "嬃", "孋", "屩", "嵼", "嶸", "彠", "彲", "惲", "愷", "懀", "掆", "摋", "撝", "斅", "斆", "曥", "朥", "极", "椲", "楨", "槶", "槼", "樳", "樿", "檭", "欍", "欓", "涇", "渢", "溳", "漊", "澅", "澾", "濄", "濜", "濧", "瀂", "瀃", "瀅", "瀇", "灙", "灡", "熉", "熌", "熓", "熡", "燁", "燾", "爄", "獷", "玁", "瑽", "璉", "璯", "瓕", "皟", "睍", "瞤", "硤", "碙", "碽", "磠", "礄", "穨", "篘", "籋", "籛", "絺", "綀", "綇", "綝", "緍", "緰", "緷", "緸", "縎", "縬", "繏", "繒", "繓", "繟", "纁", "纇", "翬", "翽", "脥", "腪", "膢", "臗", "萴", "蜡", "蠁", "襀", "襉", "覼", "訑", "訒", "詀", "誾", "諰", "諶", "謏", "譊", "譔", "讋", "賟", "賰", "贃", "蹻", "躎", "躝", "軉", "軏", "軗", "軨", "輄", "輗", "輮", "鄧", "釗", "釤", "釳", "釾", "鈇", "鈋", "鈐", "鈠", "鈯", "鈲", "鈹", "鈺", "鉀", "鉁", "鉑", "鉨", "鉸", "銶", "鋉", "鋙", "錂", "錡", "鍈", "鍰", "鎝", "鎯", "鎶", "鎷", "鏆", "鏉", "鏞", "鏦", "鏺", "鐄", "鐍", "鐎", "鐏", "鐥", "鐯", "鑈", "閍", "閐", "隤", "顃", "顥", "颰", "颷", "颾", "餗", "餦", "餭", "餸", "饘", "駃", "駎", "駚", "駧", "駩", "駶", "騃", "騔", "騚", "騝", "騟", "騠", "騪", "驋", "鬹", "魟", "魥", "鮄", "鮣", "鮰", "鮸", "鯄", "鯶", "鰧", "鱮", "鱲", "鳷", "鳼", "鴗", "鴜", "鴲", "鵚", "鶒", "鶗", "鷔", "鷨", "鸋", "麨", "麲", "龎", "龐", "龑", "龔");
		#日本の漢字
		$this->jp = array("亜", "悪", "圧", "囲", "壱", "稲", "鰯", "隠", "営", "栄", "駅", "円", "焔", "縁", "艶", "塩", "応", "鴎", "穏", "仮", "価", "壊", "懐", "絵", "拡", "殻", "覚", "楽", "樫", "渇", "椛", "噛", "勧", "巻", "寛", "歓", "観", "関", "陥", "巌", "顔", "帰", "気", "亀", "戯", "犠", "拠", "挙", "郷", "尭", "暁", "粁", "駆", "喰", "粂", "勲", "薫", "恵", "掲", "渓", "経", "継", "蛍", "軽", "鶏", "撃", "倹", "剣", "圏", "検", "権", "県", "険", "顕", "験", "厳", "効", "広", "鉱", "麹", "黒", "込", "済", "砕", "斎", "剤", "榊", "搾", "桜", "笹", "雑", "桟", "賛", "歯", "児", "鴫", "雫", "実", "舎", "釈", "収", "従", "渋", "獣", "縦", "粛", "処", "奨", "渉", "焼", "証", "乗", "剰", "壌", "嬢", "浄", "畳", "穣", "譲", "醸", "図", "粋", "酔", "髄", "椙", "瀬", "斉", "摂", "専", "戦", "繊", "腺", "銭", "糎", "捜", "挿", "巣", "総", "聡", "荘", "騒", "増", "臓", "蔵", "続", "対", "帯", "滝", "択", "沢", "凧", "鱈", "単", "団", "弾", "遅", "鋳", "庁", "徴", "聴", "勅", "塚", "栂", "辻", "逓", "鉄", "転", "伝", "闘", "働", "峠", "徳", "読", "栃", "噸", "凪", "縄", "弐", "匂", "悩", "脳", "覇", "廃", "拝", "売", "硲", "畑", "畠", "発", "髪", "抜", "噺", "晩", "鋲", "払", "仏", "塀", "変", "辺", "舗", "歩", "穂", "豊", "毎", "柾", "桝", "俣", "麿", "満", "粍", "麺", "黙", "杢", "戻", "籾", "匁", "薬", "訳", "鑓", "揺", "様", "謡", "頼", "覧", "竜", "両", "猟", "緑", "塁", "涙", "隷", "霊", "齢", "暦", "歴", "錬", "労", "録", "枠", "俤", "俥", "凩", "叺", "呎", "圦", "嬶", "屶", "岼", "峅", "弖", "怺", "扨", "杁", "杣", "杤", "枡", "梺", "椥", "椨", "椚", "椣", "椡", "楾", "榁", "槝", "樮", "橲", "欟", "毟", "熕", "燵", "瓧", "瓩", "瓲", "瓰", "瓱", "瓸", "甅", "畩", "癪", "硴", "竍", "竏", "竕", "竓", "竡", "竰", "笂", "簓", "簗", "籏", "籵", "粭", "粨", "糀", "糘", "綛", "縅", "繧", "纃", "纐", "聢", "膵", "艝", "萢", "蓙", "蘰", "蚫", "蛯", "蟐", "袰", "裃", "裄", "褄", "襷", "諚", "躾", "軈", "轌", "辷", "迚", "逧", "遖", "錺", "錵", "錻", "鎹", "閊", "鞆", "鞐", "颪", "饂", "鮖", "鮗", "鮴", "鯏", "鯑", "鯒", "鯲", "鯱", "鯰", "鰰", "鱇", "鱚", "鳰", "鵆", "鵤", "鶫", "〆", "々");
	}

	public function ctype($char) {
		if (in_array($char, $this->cn, true)) {
			return "cn";
		} elseif (in_array($char, $this->tw, true)) {
			return "tw";
		} elseif (in_array($char, $this->jp, true)) {
			return "jp";
		}
		return "unknown";
	}

	public function stype($str) {
		$enc = "UTF-8";
		$len = mb_strlen($str, $enc);
		for ($i=0; $i < $len; $i++) {
			$char = mb_substr($str, $i, 1, $enc);
			$res = $this->ctype($char);
			if ($res != "unknown") {return $res;}
		}
		return "unknown";
	}

}
?>